tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Manoj Kithany" <manojkithany...@hotmail.com>
Subject m4 Error (RE: mod_jk for Tomact 4.0.4/Apache 2.0)
Date Tue, 03 Sep 2002 21:34:57 GMT
Hi Kishore,

I am still having problms. WHen I try to install m4 it shows following 
Errors/Warnings
--------------------------------------------
        cd . && makeinfo m4.texinfo
m4.texinfo:282: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:352: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:358: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:363: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:369: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:633: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:655: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:741: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:1574: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:1625: warning: `.' or `,' must follow cross reference, not f.
m4.texinfo:2889: warning: `.' or `,' must follow cross reference, not i.
Target "all" is up to date.
making all in lib
-------------------------------------------------------------

Later when I install autoconf-2.13, it says need GNU m4 1.1 or later

Can you please guide me in to this?

Thanks!

Manoj G. Kithany


>From: "Shah, Kishor (Kishor)" <kishorshah@lucent.com>
>Reply-To: "Tomcat Users List" <tomcat-user@jakarta.apache.org>
>To: "'manojkithany@yahoo.com'" <manojkithany@yahoo.com>,   
>tomcat-user@jakarta.apache.org
>Subject: RE: mod_jk for Tomact 4.0.4/Apache 2.0
>Date: Tue, 3 Sep 2002 15:59:17 -0400
>
>Manoj,
>
>I did not have this problem, nor do I have that file on the system. 
>However, this may be related to which make you are using.
>
>I am not using Sun's make but GNU make 3.79.1.
>
>You can download the source and make it for your platform.
>
>Kishor
>
>
>-----Original Message-----
>From: Manoj Kithany [mailto:manojkithany108@hotmail.com]
>Sent: Tuesday, September 03, 2002 3:50 PM
>To: tomcat-user@jakarta.apache.org
>Cc: kishorshah@lucent.com
>Subject: RE: mod_jk for Tomact 4.0.4/Apache 2.0
>
>
>Hi Kishore,
>
>I installed libtools and it is giving errors when I install automake1.6,
>autoconf2.53 and m41.4.
>
>It says /bin/sh/makeinfo - NOT FOUND!
>
>Do you know from where can I get makeinfo? It is not there in GNU site?
>
>Thanks!
>
>Manoj G. Kithany
>
>
>
> >From: "Shah, Kishor (Kishor)" <kishorshah@lucent.com>
> >Reply-To: "Tomcat Users List" <tomcat-user@jakarta.apache.org>
> >To: "'Tomcat Users List'" <tomcat-user@jakarta.apache.org>
> >Subject: RE: mod_jk for Tomact 4.0.4/Apache 2.0 on Solaris 8
> >Date: Tue, 3 Sep 2002 14:20:06 -0400
> >
> >All,
> >
> >I was successful in creating mod_jk.so. Here's what I had just in case
> >someone finds this useful:
> >
> >To make needed the following packages:
> >
> >1) gcc 2.95.3
> >2) libtool 1.4 (I downloaded the src and made per gabriele's suggestions)
> >3) autoconf 2.53
> >4) automake 1.6
> >5) m4 1.4
> >6) Perl 5.005_003
> >7) JDK 1.4.0.01
> >
> >When buildconf.sh runs, it creates the configure script.
> >
> >Then I used the configure,
> >
> >./configure \
> >--with-apxs=/ust/local/apache2/bin/apxs \
> >--with-java-home=${JAVA_HOME} \
> >--with-java-platform=2 \
> >--enable-jni
> >
> >Kishor
> >
> >-----Original Message-----
> >From: Turner, John [mailto:JTurner@AAS.com]
> >Sent: Tuesday, September 03, 2002 12:30 PM
> >To: 'Tomcat Users List'
> >Subject: RE: mod_jk for Tomact 4.0.4/Apache 2.0 on Solaris 8
> >
> >
> >
> >Check out README.configure, I neglected to mention that you need to run
> >buildconf.sh first.
> >
> >John
> >
> >
> > > -----Original Message-----
> > > From: Shah, Kishor (Kishor) [mailto:kishorshah@lucent.com]
> > > Sent: Tuesday, September 03, 2002 12:28 PM
> > > To: 'Tomcat Users List'
> > > Subject: RE: mod_jk for Tomact 4.0.4/Apache 2.0 on Solaris 8
> > >
> > >
> > > John,
> > >
> > > Thanks for a qucik reply.
> > > Unfortunately, there is no 'configure' in the native dir or
> > > under jk tree.
> > > All I have under native are the following dirs/files:
> > > <host>:/var/downloads/jakarta-tomcat-connectors-4.0.4-src/jk/n
> > > ative/_# ls
> > > Makefile.am       build.xml         domino
> > > nt_service
> > > README            buildconf.sh      iis               scripts
> > >
> > > README.configure  common            isapi
> > >
> > > apache-1.3        configure.in      jni
> > >
> > > apache-2.0        docs              netscape
> > >
> > > Makefile.am       build.xml         domino
> > > nohup.out
> > > README            buildconf.sh      iis
> > > nt_service
> > > README.configure  common            isapi             scripts
> > >
> > > apache-1.3        configure.in      jni
> > >
> > > apache-2.0        docs              netscape
> > >
> > >
> > >
> > > Kishor Shah
> > > email - kishorshah@lucent.com
> > > Voice : 732-949-3403
> > >
> > >
> > > -----Original Message-----
> > > From: Turner, John [mailto:JTurner@AAS.com]
> > > Sent: Tuesday, September 03, 2002 12:10 PM
> > > To: 'Tomcat Users List'
> > > Subject: RE: mod_jk for Tomact 4.0.4/Apache 2.0 on Solaris 8
> > >
> > >
> > >
> > > From /some/path/to/connector/src/jk/native, try this:
> > >
> > > [root@localhost]# ./configure
> > > --with-apxs=/some/path/to/apache2/bin/apxs
> > > --with-java-home=${JAVA_HOME}
> > > [root@localhost]# make
> > >
> > > This should dump mod_jk.so binaries for Apache 1.3 and Apache
> > > 2.0 in their
> > > respective directories, apache-1.3 and apache-2.0.
> > >
> > > I don't have access to a Solaris box at the moment, so I
> > > can't try it, but
> > > it should work.  Ant is optional, and in my experience, not
> > > the cleanest way
> > > to compile the connectors.
> > >
> > > John Turner
> > > jturner@NOSPAM.aas.com
> > >
> > > > -----Original Message-----
> > > > From: Shah, Kishor (Kishor) [mailto:kishorshah@lucent.com]
> > > > Sent: Tuesday, September 03, 2002 11:53 AM
> > > > To: 'tomcat-user@jakarta.apache.org'
> > > > Subject: mod_jk for Tomact 4.0.4/Apache 2.0 on Solaris 8
> > > >
> > > >
> > > > Friends,
> > > >
> > > > I am unable to compile the mod_jk  for Tomact 4.0.4 / Apache
> > > > 2.0 on Solaris 8 platform.
> > > >
> > > > I have both Tomat and Apache up and running.
> > > >
> > > > I have downloaded and untarred  the connector source into
> > > > ${basedir}/jakarta-tomcat-connectors-4.0.4-src.
> > > >
> > > > The mod_jk page from http://jakarta.apache.org don't apply as
> > > > the instructions are for apache1.3.
> > > >
> > > > Has anyone built mod_jk in the above environment? I am really
> > > > confused as to the next step.
> > > >
> > > > Do I need to get 'ant' and other build tools as recommended
> > > > by a recent post from gabriele?
> > > >
> > > > Any help/suggestions are greatly appreciated because I am
> > > > going in circles here.
> > > >
> > > > Thanks,
> > > >
> > > > Kishor
>

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com


--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message